/*
 * e_addvec.h
 *
 *  Created on: 10-06-2016
 *      Author: Krzysztof Jakubczyk
 */

#ifndef E_ADDVEC_H_
#define E_ADDVEC_H_

#include "tdefs.h"

struct e_addvec_logic
{
	float *orta1_ptr;
	float *ortb1_ptr;
	float *orta2_ptr;
	float *ortb2_ptr;
	float *orta_ptr;
	float *ortb_ptr;
	float *esk_ptr;
};

struct e_addvec_io
{
	u32 orta1_float_in;
	u32 ortb1_float_in;
	u32 orta2_float_in;
	u32 ortb2_float_in;
	u32 orta_float_out;
	u32 ortb_float_out;
	u32 esk_float_out;
}__attribute__((__packed__));

struct e_addvec_params
{
}__attribute__((__packed__));

struct e_addvec_args
{
	struct e_addvec_io io;
	struct e_addvec_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void e_addvec(void *args, void *logic);
extern int e_addvec_initlog(void *arguments, void *logic);

#endif /* E_ADDVEC_H_ */
